Subject: bug#77876: 31.0.50; elec-pair --- `electric-pair-inhibit-predicate' ignored for `electric-pair-pairs'

From: João Távora <[email-masked]>
Date: Sat, 17 May 2025 11:32:19 +0100

I think unconditional is how that variable is supposed to work.  The
syntax-aware stuff is what I did, and it uses other mechanisms. So this
change appears to be fusing two mechanisms. Ask Stefan Nonnier perhaps. he
introduced this library into Emacs and guided my work on it.

João

On Sat, May 17, 2025, 09:44 Eli Zaretskii <[email-masked]> wrote:

> > From: Fernando de Morais <[email-masked]>
> > Cc: João Távora <[email-masked]>,
> >   [email-masked]
> > Date: Sat, 10 May 2025 11:31:45 -0300
> >
> > Eli Zaretskii <[email-masked]> writes:
> >
> > > Ping! Any progress with this issue?
> >
> > Sorry for my late reply.  I had trouble finding the tests and then
> > figuring out how to use them, but attached are the results: both for the
> > tests applied to the `elec-pair' without modifications, and with them.
> >
> > Eight tests---the same ones---failed in both scenarios.  The others were
> > successful.  Additionally, I’ve been using `elec-pair' with the
> > modifications since my original email, and I haven’t encountered any
> > inconsistencies or errors in my daily use.
>
> Thanks.  My results are different: all tests pass both before and
> after the change.
>
> João, based on these results, I think we can install the change?  Or
> do you remember why the 'unconditional' condition was in the code?
>